Start a journey execution
curl --request POST \
--url https://integration.getmateo.com/api/v1/journey_execution \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"journey_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"address_line1": "<string>",
"address_line2": "<string>",
"birthday": "<string>",
"campaign_messages_this_month": 123,
"city": "<string>",
"country": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"created_by_api_token_id": "<string>",
"created_by_employee_id": "<string>",
"created_by_import_id": "<string>",
"deleted_at": "<string>",
"description": "<string>",
"display_name": "<string>",
"email": "<string>",
"email_marketing_messages_this_month": 123,
"email_marketing_opt_in": true,
"external_id": "<string>",
"facebook": "<string>",
"facebook_marketing_messages_this_month": 123,
"facebook_marketing_opt_in": true,
"fts": "<unknown>",
"full_name": "<string>",
"google_business_messaging": "<string>",
"google_business_messaging_marketing_messages_this_month": 123,
"google_business_messaging_marketing_opt_in": true,
"id": "<string>",
"influenced_revenue": 123,
"instagram": "<string>",
"instagram_marketing_messages_this_month": 123,
"instagram_marketing_opt_in": true,
"is_blocked": true,
"last_external_review_rating": 123,
"last_interaction_at": "<string>",
"last_internal_review_rating": 123,
"last_outbound_at": "<string>",
"last_review_rating": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"latest_review_request_message_sent_at": "<string>",
"marketing_opt_in": true,
"number_of_marketing_opt_in_requests": 123,
"organisation_id": "<string>",
"postal": "<string>",
"postal_marketing_messages_this_month": 123,
"postal_marketing_opt_in": true,
"postal_messages_this_month": 123,
"review_request_message_count": 123,
"salutation": "<string>",
"secondary_external_id": "<string>",
"sms": "<string>",
"sms_marketing_messages_this_month": 123,
"sms_marketing_opt_in": true,
"updated_at": "<string>",
"updated_by": "<string>",
"updated_by_api_token_id": "<string>",
"updated_by_employee_id": "<string>",
"updated_by_import_id": "<string>",
"whatsapp": "<string>",
"whatsapp_marketing_messages_this_month": 123,
"whatsapp_marketing_opt_in": true,
"zipcode": "<string>"
},
"context": {}
}
'import requests
url = "https://integration.getmateo.com/api/v1/journey_execution"
payload = {
"journey_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact": {
"address_line1": "<string>",
"address_line2": "<string>",
"birthday": "<string>",
"campaign_messages_this_month": 123,
"city": "<string>",
"country": "<string>",
"created_at": "<string>",
"created_by": "<string>",
"created_by_api_token_id": "<string>",
"created_by_employee_id": "<string>",
"created_by_import_id": "<string>",
"deleted_at": "<string>",
"description": "<string>",
"display_name": "<string>",
"email": "<string>",
"email_marketing_messages_this_month": 123,
"email_marketing_opt_in": True,
"external_id": "<string>",
"facebook": "<string>",
"facebook_marketing_messages_this_month": 123,
"facebook_marketing_opt_in": True,
"fts": "<unknown>",
"full_name": "<string>",
"google_business_messaging": "<string>",
"google_business_messaging_marketing_messages_this_month": 123,
"google_business_messaging_marketing_opt_in": True,
"id": "<string>",
"influenced_revenue": 123,
"instagram": "<string>",
"instagram_marketing_messages_this_month": 123,
"instagram_marketing_opt_in": True,
"is_blocked": True,
"last_external_review_rating": 123,
"last_interaction_at": "<string>",
"last_internal_review_rating": 123,
"last_outbound_at": "<string>",
"last_review_rating": 123,
"latest_marketing_opt_in_request_sent_at": "<string>",
"latest_review_request_message_sent_at": "<string>",
"marketing_opt_in": True,
"number_of_marketing_opt_in_requests": 123,
"organisation_id": "<string>",
"postal": "<string>",
"postal_marketing_messages_this_month": 123,
"postal_marketing_opt_in": True,
"postal_messages_this_month": 123,
"review_request_message_count": 123,
"salutation": "<string>",
"secondary_external_id": "<string>",
"sms": "<string>",
"sms_marketing_messages_this_month": 123,
"sms_marketing_opt_in": True,
"updated_at": "<string>",
"updated_by": "<string>",
"updated_by_api_token_id": "<string>",
"updated_by_employee_id": "<string>",
"updated_by_import_id": "<string>",
"whatsapp": "<string>",
"whatsapp_marketing_messages_this_month": 123,
"whatsapp_marketing_opt_in": True,
"zipcode": "<string>"
},
"context": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
journey_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
contact: {
address_line1: '<string>',
address_line2: '<string>',
birthday: '<string>',
campaign_messages_this_month: 123,
city: '<string>',
country: '<string>',
created_at: '<string>',
created_by: '<string>',
created_by_api_token_id: '<string>',
created_by_employee_id: '<string>',
created_by_import_id: '<string>',
deleted_at: '<string>',
description: '<string>',
display_name: '<string>',
email: '<string>',
email_marketing_messages_this_month: 123,
email_marketing_opt_in: true,
external_id: '<string>',
facebook: '<string>',
facebook_marketing_messages_this_month: 123,
facebook_marketing_opt_in: true,
fts: '<unknown>',
full_name: '<string>',
google_business_messaging: '<string>',
google_business_messaging_marketing_messages_this_month: 123,
google_business_messaging_marketing_opt_in: true,
id: '<string>',
influenced_revenue: 123,
instagram: '<string>',
instagram_marketing_messages_this_month: 123,
instagram_marketing_opt_in: true,
is_blocked: true,
last_external_review_rating: 123,
last_interaction_at: '<string>',
last_internal_review_rating: 123,
last_outbound_at: '<string>',
last_review_rating: 123,
latest_marketing_opt_in_request_sent_at: '<string>',
latest_review_request_message_sent_at: '<string>',
marketing_opt_in: true,
number_of_marketing_opt_in_requests: 123,
organisation_id: '<string>',
postal: '<string>',
postal_marketing_messages_this_month: 123,
postal_marketing_opt_in: true,
postal_messages_this_month: 123,
review_request_message_count: 123,
salutation: '<string>',
secondary_external_id: '<string>',
sms: '<string>',
sms_marketing_messages_this_month: 123,
sms_marketing_opt_in: true,
updated_at: '<string>',
updated_by: '<string>',
updated_by_api_token_id: '<string>',
updated_by_employee_id: '<string>',
updated_by_import_id: '<string>',
whatsapp: '<string>',
whatsapp_marketing_messages_this_month: 123,
whatsapp_marketing_opt_in: true,
zipcode: '<string>'
},
context: {}
})
};
fetch('https://integration.getmateo.com/api/v1/journey_execution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"journey_execution_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"hint": "<string>"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"hint": "<string>"
}{
"message": "<string>",
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"journey_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"code": "<string>",
"message": "<string>",
"statusCode": 123,
"hint": "<string>"
}Journey Execution
Start a journey execution
Trigger a journey execution for a contact via HTTP webhook
Start a journey execution
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The journey ID to execute
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Contact details to import or find
Show child attributes
Show child attributes
Context data for the journey execution, must match the schema defined in the journey trigger node
Show child attributes
Show child attributes
Response
Journey execution started successfully
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I